-- Puffin: A Tojaso FowlPlay Project
-- LibDataBroker component

local Puffin_LDB = {}

function Puffin_LDB.OnInitialize()
	LoadAddOn("LibDataBroker-1.1")
	LoadAddOn("LibDBIcon-1.0")
end

function Puffin_LDB.OnEnable()
	local LDB = LibStub("LibDataBroker-1.1", true)
	if LDB then
		local ldb = LDB:NewDataObject("Puffin", {
			type = "launcher", text = "Puffin", icon = [[Interface\AddOns\Puffin\Images\Puffin]],
			OnClick = function(_, msg)
				if msg == "RightButton" then
				elseif msg == "LeftButton" then
				end
			end,
			OnTooltipShow = function(tooltip)
				if not tooltip or not tooltip.AddLine then return end
				tooltip:AddLine("Puffin")
				tooltip:AddLine("Puffin left click")
				tooltip:AddLine("Puffin right click")
			end,
		})
		local LDBI = LibStub("LibDBIcon-1.0", true)
		local minimap = { hide = false, minimapPos = 180, radius = 80 }
		if LDBI then LDBI:Register("Puffin", ldb, minimap) end
	end
end

Puffin.RegisterComponent("LDB", Puffin_LDB)
